/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.service.exchange;

import java.io.Serializable;

/**
 * Defines a level.
 *
 * @author Guillaume Renault
 */
public class LevelSetting implements Serializable{

    /**
     *
     */
    private static final long serialVersionUID = -6812876029188478856L;

    /**
     * Level
     */
    private String level = "";

    /**
     * Color associated to the level. The format is the following : 0xXXXXXX.
     * Default is 0xFFFFFF.
     * Example : 0x00FF00
     */
    private String color = "0xFFFFFF";

    public LevelSetting() {

    }

    public LevelSetting(final String level, final String color) {
        this.level = level;
        this.color = color;
    }

    /**
     * @return the level
     */
    public String getLevel() {
        return level;
    }

    /**
     * @param level the level to set
     */
    public void setLevel(final String level) {
        this.level = level;
    }

    /**
     * @return the color
     */
    public String getColor() {
        return color;
    }

    /**
     * @param color the color to set
     */
    public void setColor(final String color) {
        this.color = color;
    }

}
